path: /build/build/qthelp-dev-qt-5-5.15.2+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-qt/qthelp:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-qt/qthelp:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qthelp && luet-portage --dir /pkgdir/qthelp
    dev-qt/qthelp:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6efdabb724e5c8ae4ae3bc50d63b775a12f4566ce5b8f32e2da9b9086e1f3195
  package:
    name: qthelp
    version: 5.15.2+2
    category: dev-qt-5
    use_flags:
    - -test
    requires:
    - name: qtnetwork
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Qt5 module for integrating online documentation into applications
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-02-07 01:47:05.325907039 +0000 UTC m=+143.084634092
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2* =dev-qt/qtnetwork-5.15.2*
        =dev-qt/qtsql-5.15.2*[sqlite] =dev-qt/qtwidgets-5.15.2* test? ( =dev-qt/qttest-5.15.2*
        )
      IUSE: debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2* =dev-qt/qtnetwork-5.15.2*
        =dev-qt/qtsql-5.15.2*[sqlite] =dev-qt/qtwidgets-5.15.2*
      emerge.packages: dev-qt/qthelp:5
      kit: qt-kit
      original.package.name: dev-qt/qthelp
      original.package.slot: "5"
      original.package.version: 5.15.2_p20231228
    treedir: /build/packages
  package_dir: /pkgdir/qthelp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d58760e14af031a4fbc41248a43583d345ad0c643f6552439587c7a6501ceb97
compressiontype: zstd
files:
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qfilternamedialog_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpcollectionhandler_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpdbreader_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpengine_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpfiltersettings_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpsearchindexreader_default_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpsearchindexreader_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qhelpsearchindexwriter_default_p.h
- usr/include/qt5/QtHelp/5.15.12/QtHelp/private/qoptionswidget_p.h
- usr/include/qt5/QtHelp/QCompressedHelpInfo
- usr/include/qt5/QtHelp/QHelpContentItem
- usr/include/qt5/QtHelp/QHelpContentModel
- usr/include/qt5/QtHelp/QHelpContentWidget
- usr/include/qt5/QtHelp/QHelpEngine
- usr/include/qt5/QtHelp/QHelpEngineCore
- usr/include/qt5/QtHelp/QHelpFilterData
- usr/include/qt5/QtHelp/QHelpFilterEngine
- usr/include/qt5/QtHelp/QHelpFilterSettingsWidget
- usr/include/qt5/QtHelp/QHelpGlobal
- usr/include/qt5/QtHelp/QHelpIndexModel
- usr/include/qt5/QtHelp/QHelpIndexWidget
- usr/include/qt5/QtHelp/QHelpLink
- usr/include/qt5/QtHelp/QHelpSearchEngine
- usr/include/qt5/QtHelp/QHelpSearchQuery
- usr/include/qt5/QtHelp/QHelpSearchQueryWidget
- usr/include/qt5/QtHelp/QHelpSearchResult
- usr/include/qt5/QtHelp/QHelpSearchResultWidget
- usr/include/qt5/QtHelp/QtHelp
- usr/include/qt5/QtHelp/QtHelpDepends
- usr/include/qt5/QtHelp/QtHelpVersion
- usr/include/qt5/QtHelp/qcompressedhelpinfo.h
- usr/include/qt5/QtHelp/qhelp_global.h
- usr/include/qt5/QtHelp/qhelpcontentwidget.h
- usr/include/qt5/QtHelp/qhelpengine.h
- usr/include/qt5/QtHelp/qhelpenginecore.h
- usr/include/qt5/QtHelp/qhelpfilterdata.h
- usr/include/qt5/QtHelp/qhelpfilterengine.h
- usr/include/qt5/QtHelp/qhelpfiltersettingswidget.h
- usr/include/qt5/QtHelp/qhelpindexwidget.h
- usr/include/qt5/QtHelp/qhelplink.h
- usr/include/qt5/QtHelp/qhelpsearchengine.h
- usr/include/qt5/QtHelp/qhelpsearchquerywidget.h
- usr/include/qt5/QtHelp/qhelpsearchresultwidget.h
- usr/include/qt5/QtHelp/qthelpversion.h
- usr/lib64/cmake/Qt5Help/Qt5HelpConfig.cmake
- usr/lib64/cmake/Qt5Help/Qt5HelpConfigExtras.cmake
- usr/lib64/cmake/Qt5Help/Qt5HelpConfigVersion.cmake
- usr/lib64/libQt5Help.prl
- usr/lib64/libQt5Help.so
- usr/lib64/libQt5Help.so.5
- usr/lib64/libQt5Help.so.5.15
- usr/lib64/libQt5Help.so.5.15.12
- usr/lib64/pkgconfig/Qt5Help.pc
- usr/lib64/qt5/bin/qcollectiongenerator
- usr/lib64/qt5/bin/qhelpgenerator
- usr/lib64/qt5/mkspecs/modules/qt_lib_help.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_help_private.pri
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/BDEPEND
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/BUILD_TIME
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/CATEGORY
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/CBUILD
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/CFLAGS
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/CHOST
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/CONTENTS
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/COUNTER
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/CXXFLAGS
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/DEFINED_PHASES
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/DEPEND
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/DESCRIPTION
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/EAPI
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/FEATURES
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/HOMEPAGE
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/INHERITED
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/IUSE
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/KEYWORDS
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/LDFLAGS
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/LICENSE
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/NEEDED
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/PF
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/PROVIDES
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/RDEPEND
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/REQUIRES
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/RESTRICT
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/SIZE
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/SLOT
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/USE
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/environment.bz2
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/qthelp-5.15.2_p20231228.ebuild
- var/db/pkg/dev-qt/qthelp-5.15.2_p20231228/repository
package_cacheimage: ""
runtime:
  name: qthelp
  version: 5.15.2+2
  category: dev-qt-5
  use_flags:
  - -test
  requires:
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtnetwork
    version: '>=0'
    category: dev-qt-5
  - name: qtsql
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Qt5 module for integrating online documentation into applications
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2* =dev-qt/qtnetwork-5.15.2*
      =dev-qt/qtsql-5.15.2*[sqlite] =dev-qt/qtwidgets-5.15.2* test? ( =dev-qt/qttest-5.15.2*
      )
    IUSE: debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2* =dev-qt/qtnetwork-5.15.2*
      =dev-qt/qtsql-5.15.2*[sqlite] =dev-qt/qtwidgets-5.15.2*
    emerge.packages: dev-qt/qthelp:5
    kit: qt-kit
    original.package.name: dev-qt/qthelp
    original.package.slot: "5"
    original.package.version: 5.15.2_p20231228
